Upgrading from V14 to V15 Issue

Discussion in '3CX Phone System - General' started by Rowell Rufino, Aug 29, 2017.

Thread Status:
Not open for further replies.
  1. Rowell Rufino

    Joined:
    Aug 29, 2017
    Messages:
    3
    Likes Received:
    0
    Guys,

    Need some help here. I am upgrading our 3CX from v14 to V15 but whenever I restore from backup file it always say that the key license is bound. I did some research and read that I need to backup without the license and FQDN. The backup and restore section on v14 does not give me the option to not include the license. How do I do this? Please advise.

    Regards,

    Rowell
     
  2. V..

    V..

    Joined:
    Feb 14, 2017
    Messages:
    74
    Likes Received:
    28
    Hi Rowell,

    You will need to log into the customer portal at https://customer.3cx.com/login.aspx.

    From here you can release the FQDN currently associated with that license key. This should allow you to progress with the installation.

    Additionally check that the FQDN you are attempting to use has not already been bound to a different key, possibly a PBX edition used for testing purposes?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Rowell Rufino

    Joined:
    Aug 29, 2017
    Messages:
    3
    Likes Received:
    0
    Hi V..

    What actually happens is:

    When I do restore from backup file it sees the license key starting below:

    XXXX-XXXX

    But I already have a new license key to apply for our v15 how do I invoke that when I do restore from backup file during installation?

    The new license key we have is..

    YYYY-YYYY

    If I overwrite the section where it displays the key read from the backup file the installation proceeds but it did not restore my configurations from the old. It seems it created a clean new 3CX.

    Regards,

    Rowell
     
  4. sip.bg

    sip.bg Active Member

    Joined:
    Nov 7, 2016
    Messages:
    704
    Likes Received:
    219
    The easiest way for me is to edit .xml file into V14 backup -- find license data at the end of the file -– replace with new license data, update the zip file with backup, then during installation of v15 choose restore and select the edited v14 backup file (zip). Keep a copy of original backup file also.

    If you have an old license key in V14 and restore a backup file during installation you should be still asked during installation for new license key or renewing maintenance, if old key is invalid. If not and you need to change the license key later you should go through procedure of backuping of v15 without FQDN / license key, uninstalling 3CX and installing with restore of V15 backup file.

    Backuping without FQDN data is only for v15 -- changing the license key and restoring from v15 backup file. Still you may need to release FQDN through customer portal, if it is bound to old license key.

    Please note that by default, backup files will be deleted during uninstall, so you need to copy them n other location before proceeding.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    #4 sip.bg, Aug 29, 2017
    Last edited: Aug 29, 2017
  5. Rowell Rufino

    Joined:
    Aug 29, 2017
    Messages:
    3
    Likes Received:
    0
    I did try to edit the xml file but whenever I zip the file again and use it as a restoration backup file. It says invalid backup file when uploading during restore and install.
     
  6. sip.bg

    sip.bg Active Member

    Joined:
    Nov 7, 2016
    Messages:
    704
    Likes Received:
    219
    I'm editing the .xml file with notepad and update the .zip file with dragging the .xml file to .zip file. I don't have any issues.

    You may try also upgrading the license key into V14 installation before backup, if new license key is allowing this (may be locked to v15 and upper already) and then doing backup.

    Association with FQDN will happen during installation of V15/15.5.

    Note that you may restore a V14 backup to V15 only during installation of V15.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.